Skip to main content
GET
/
{alias}
/
public
/
catalog
/
banners
Visualizar informações de banners
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/public/catalog/banners
import requests

url = "https://api.dooki.com.br/v2/{alias}/public/catalog/banners"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.dooki.com.br/v2/{alias}/public/catalog/banners', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": 119474,
      "type": "image",
      "active": true,
      "home": true,
      "name": "Top-banner",
      "slug": "top-banner",
      "expired": false,
      "start_at": {
        "date": "2025-01-21 10:35:41.000000",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      },
      "end_at": {
        "date": "3024-01-21 10:35:41.000000",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      },
      "first_banner": {
        "id": 119474,
        "link": null,
        "image": "//images.yampi.me/assets/stores/mytems/uploads/banners/62c6fbff0fddc.jpg",
        "mobile_image": null,
        "stopwatch": null
      },
      "dimensions": {
        "desktop": {
          "width": "1186.00",
          "height": "441.00"
        },
        "mobile": {
          "width": "0.00",
          "height": "0.00"
        }
      },
      "product": {
        "data": [
          {
            "data": {
              "id": 17790530,
              "name": "GTA V Premium 10Uni.",
              "slug": "gta-v-premium-10uni",
              "blocked_sale": false,
              "rating": "4.7",
              "url": "https://www.mytems.com/gta-v-premium-10uni/p",
              "url_path": "/gta-v-premium-10uni/p",
              "brand": {
                "data": {
                  "id": 733502,
                  "name": "Rockstar Games",
                  "logo_url": null
                }
              },
              "images": {
                "data": [
                  {
                    "url": "https://images.yampi.me/assets/stores/mytems/uploads/images/gta-v-premium-10uni-ps5-dvd-67939caf6a3ac-large.jpg"
                  }
                ]
              },
              "prices": {
                "data": {
                  "currency": "R$",
                  "price": 1,
                  "price_formated": "R$ 1,00",
                  "price_sale": 1.11,
                  "price_sale_formated": "R$ 1,11",
                  "has_promotion": true,
                  "percent_discount": 9.91
                }
              }
            }
          }
        ]
      },
      "product_id": null,
      "image_url": "//images.yampi.me/assets/stores/mytems/uploads/banners/62c6fbff0fddc.jpg",
      "mobile_image_url": null,
      "link": null,
      "stopwatch": null,
      "stopwatch_expires_in": null
    }
  ]
}

Path Parameters

alias
string
required

Alias da loja

Response

200 - application/json

Retorna as Informações de banners

Lista de banners públicos.

data
object[]
required